LURKER-LIST(1)

NAME
lurker-list — parses lists from the config file

SYNOPSIS

lurker-list [-c <config-file>] [-f <locale>] [-i -g -t -a -l -d -s -o] [listid ...]

DESCRIPTION

lurker-list outputs various lurker settings from the config file for use in shell scripts. Do not use sed/grep/etc, instead use this as it respects include.

If no list ids are given, then all lists are dumped. If no field is specified, then all fields are dumped.

OPTIONS

-c config-file
    Use this config file for lurker settings.

-f locale
    Choose lurker config fields from the specified locale (it defaults to selecting the fallback case for each field).

-i  Output only the list id

-g  Output only the group

-t  Output only the title

-a  Output only the email address

-l  Output only the url link

-d  Output only the description

-s  Output only the language

-o  Output only the offline status

SEE ALSO

lurker-index(1), lurker-prune(1), lurker-params(1), lurker-search(1)

lurker documentation on http://lurker.sourceforge.net/

COPYRIGHT

Copyright (C) 2002: Wesley W. Terpstra <terpstra@users.sourceforge.net>

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; version 2.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

BUGS

Before reporting a bug, please confirm that the bug you found is still present in the latest official release. If the problem persists, then send mail with instructions describing how to reproduce the bug to <lurker-users@lists.sourceforge.net>.